VisitorAdapter (groovy 2.4.3 API)
Date: 2015-03-23

Package: org.codehaus.groovy.antlr.treewalker

## [Java] Class VisitorAdapter

- org.codehaus.groovy.antlr.treewalker.VisitorAdapter

- All Implemented Interfaces and Traits:
    Visitor

      public class VisitorAdapter
      extends Object

  A default implementation of all visitor methods. If you extend this class, any un-overridden visit methods will call visitDefault.

  Authors:
    Jeremy Rayner
  Version:
    \$Revision\$

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `GroovySourceAST` | `pop()`
    `void` | `push(GroovySourceAST t)`
    `void` | `setUp()`
    `void` | `tearDown()`
    `void` | `visitAbstract(GroovySourceAST t, int visit)`
    `void` | `visitAnnotation(GroovySourceAST t, int visit)`
    `void` | `visitAnnotationArrayInit(GroovySourceAST t, int visit)`
    `void` | `visitAnnotationDef(GroovySourceAST t, int visit)`
    `void` | `visitAnnotationFieldDef(GroovySourceAST t, int visit)`
    `void` | `visitAnnotationMemberValuePair(GroovySourceAST t, int visit)`
    `void` | `visitAnnotations(GroovySourceAST t, int visit)`
    `void` | `visitArrayDeclarator(GroovySourceAST t, int visit)`
    `void` | `visitAssign(GroovySourceAST t, int visit)`
    `void` | `visitAt(GroovySourceAST t, int visit)`
    `void` | `visitBand(GroovySourceAST t, int visit)`
    `void` | `visitBandAssign(GroovySourceAST t, int visit)`
    `void` | `visitBigSuffix(GroovySourceAST t, int visit)`
    `void` | `visitBlock(GroovySourceAST t, int visit)`
    `void` | `visitBnot(GroovySourceAST t, int visit)`
    `void` | `visitBor(GroovySourceAST t, int visit)`
    `void` | `visitBorAssign(GroovySourceAST t, int visit)`
    `void` | `visitBsr(GroovySourceAST t, int visit)`
    `void` | `visitBsrAssign(GroovySourceAST t, int visit)`
    `void` | `visitBxor(GroovySourceAST t, int visit)`
    `void` | `visitBxorAssign(GroovySourceAST t, int visit)`
    `void` | `visitCaseGroup(GroovySourceAST t, int visit)`
    `void` | `visitClassDef(GroovySourceAST t, int visit)`
    `void` | `visitClosedBlock(GroovySourceAST t, int visit)`
    `void` | `visitClosureList(GroovySourceAST t, int visit)`
    `void` | `visitClosureOp(GroovySourceAST t, int visit)`
    `void` | `visitColon(GroovySourceAST t, int visit)`
    `void` | `visitComma(GroovySourceAST t, int visit)`
    `void` | `visitCompareTo(GroovySourceAST t, int visit)`
    `void` | `visitCtorCall(GroovySourceAST t, int visit)`
    `void` | `visitCtorIdent(GroovySourceAST t, int visit)`
    `void` | `visitDec(GroovySourceAST t, int visit)`
    `void` | `visitDefault(GroovySourceAST t, int visit)`
    `void` | `visitDigit(GroovySourceAST t, int visit)`
    `void` | `visitDiv(GroovySourceAST t, int visit)`
    `void` | `visitDivAssign(GroovySourceAST t, int visit)`
    `void` | `visitDollar(GroovySourceAST t, int visit)`
    `void` | `visitDot(GroovySourceAST t, int visit)`
    `void` | `visitDynamicMember(GroovySourceAST t, int visit)`
    `void` | `visitElist(GroovySourceAST t, int visit)`
    `void` | `visitEmptyStat(GroovySourceAST t, int visit)`
    `void` | `visitEnumConstantDef(GroovySourceAST t, int visit)`
    `void` | `visitEnumDef(GroovySourceAST t, int visit)`
    `void` | `visitEof(GroovySourceAST t, int visit)`
    `void` | `visitEqual(GroovySourceAST t, int visit)`
    `void` | `visitEsc(GroovySourceAST t, int visit)`
    `void` | `visitExponent(GroovySourceAST t, int visit)`
    `void` | `visitExpr(GroovySourceAST t, int visit)`
    `void` | `visitExtendsClause(GroovySourceAST t, int visit)`
    `void` | `visitFinal(GroovySourceAST t, int visit)`
    `void` | `visitFloatSuffix(GroovySourceAST t, int visit)`
    `void` | `visitForCondition(GroovySourceAST t, int visit)`
    `void` | `visitForEachClause(GroovySourceAST t, int visit)`
    `void` | `visitForInIterable(GroovySourceAST t, int visit)`
    `void` | `visitForInit(GroovySourceAST t, int visit)`
    `void` | `visitForIterator(GroovySourceAST t, int visit)`
    `void` | `visitGe(GroovySourceAST t, int visit)`
    `void` | `visitGt(GroovySourceAST t, int visit)`
    `void` | `visitHexDigit(GroovySourceAST t, int visit)`
    `void` | `visitIdent(GroovySourceAST t, int visit)`
    `void` | `visitImplementsClause(GroovySourceAST t, int visit)`
    `void` | `visitImplicitParameters(GroovySourceAST t, int visit)`
    `void` | `visitImport(GroovySourceAST t, int visit)`
    `void` | `visitInc(GroovySourceAST t, int visit)`
    `void` | `visitIndexOp(GroovySourceAST t, int visit)`
    `void` | `visitInstanceInit(GroovySourceAST t, int visit)`
    `void` | `visitInterfaceDef(GroovySourceAST t, int visit)`
    `void` | `visitLabeledArg(GroovySourceAST t, int visit)`
    `void` | `visitLabeledStat(GroovySourceAST t, int visit)`
    `void` | `visitLand(GroovySourceAST t, int visit)`
    `void` | `visitLbrack(GroovySourceAST t, int visit)`
    `void` | `visitLcurly(GroovySourceAST t, int visit)`
    `void` | `visitLe(GroovySourceAST t, int visit)`
    `void` | `visitLetter(GroovySourceAST t, int visit)`
    `void` | `visitListConstructor(GroovySourceAST t, int visit)`
    `void` | `visitLiteralAs(GroovySourceAST t, int visit)`
    `void` | `visitLiteralAssert(GroovySourceAST t, int visit)`
    `void` | `visitLiteralBoolean(GroovySourceAST t, int visit)`
    `void` | `visitLiteralBreak(GroovySourceAST t, int visit)`
    `void` | `visitLiteralByte(GroovySourceAST t, int visit)`
    `void` | `visitLiteralCase(GroovySourceAST t, int visit)`
    `void` | `visitLiteralCatch(GroovySourceAST t, int visit)`
    `void` | `visitLiteralChar(GroovySourceAST t, int visit)`
    `void` | `visitLiteralClass(GroovySourceAST t, int visit)`
    `void` | `visitLiteralContinue(GroovySourceAST t, int visit)`
    `void` | `visitLiteralDef(GroovySourceAST t, int visit)`
    `void` | `visitLiteralDefault(GroovySourceAST t, int visit)`
    `void` | `visitLiteralDouble(GroovySourceAST t, int visit)`
    `void` | `visitLiteralElse(GroovySourceAST t, int visit)`
    `void` | `visitLiteralEnum(GroovySourceAST t, int visit)`
    `void` | `visitLiteralExtends(GroovySourceAST t, int visit)`
    `void` | `visitLiteralFalse(GroovySourceAST t, int visit)`
    `void` | `visitLiteralFinally(GroovySourceAST t, int visit)`
    `void` | `visitLiteralFloat(GroovySourceAST t, int visit)`
    `void` | `visitLiteralFor(GroovySourceAST t, int visit)`
    `void` | `visitLiteralIf(GroovySourceAST t, int visit)`
    `void` | `visitLiteralImplements(GroovySourceAST t, int visit)`
    `void` | `visitLiteralImport(GroovySourceAST t, int visit)`
    `void` | `visitLiteralIn(GroovySourceAST t, int visit)`
    `void` | `visitLiteralInstanceof(GroovySourceAST t, int visit)`
    `void` | `visitLiteralInt(GroovySourceAST t, int visit)`
    `void` | `visitLiteralInterface(GroovySourceAST t, int visit)`
    `void` | `visitLiteralLong(GroovySourceAST t, int visit)`
    `void` | `visitLiteralNative(GroovySourceAST t, int visit)`
    `void` | `visitLiteralNew(GroovySourceAST t, int visit)`
    `void` | `visitLiteralNull(GroovySourceAST t, int visit)`
    `void` | `visitLiteralPackage(GroovySourceAST t, int visit)`
    `void` | `visitLiteralPrivate(GroovySourceAST t, int visit)`
    `void` | `visitLiteralProtected(GroovySourceAST t, int visit)`
    `void` | `visitLiteralPublic(GroovySourceAST t, int visit)`
    `void` | `visitLiteralReturn(GroovySourceAST t, int visit)`
    `void` | `visitLiteralShort(GroovySourceAST t, int visit)`
    `void` | `visitLiteralStatic(GroovySourceAST t, int visit)`
    `void` | `visitLiteralSuper(GroovySourceAST t, int visit)`
    `void` | `visitLiteralSwitch(GroovySourceAST t, int visit)`
    `void` | `visitLiteralSynchronized(GroovySourceAST t, int visit)`
    `void` | `visitLiteralThis(GroovySourceAST t, int visit)`
    `void` | `visitLiteralThreadsafe(GroovySourceAST t, int visit)`
    `void` | `visitLiteralThrow(GroovySourceAST t, int visit)`
    `void` | `visitLiteralThrows(GroovySourceAST t, int visit)`
    `void` | `visitLiteralTransient(GroovySourceAST t, int visit)`
    `void` | `visitLiteralTrue(GroovySourceAST t, int visit)`
    `void` | `visitLiteralTry(GroovySourceAST t, int visit)`
    `void` | `visitLiteralVoid(GroovySourceAST t, int visit)`
    `void` | `visitLiteralVolatile(GroovySourceAST t, int visit)`
    `void` | `visitLiteralWhile(GroovySourceAST t, int visit)`
    `void` | `visitLnot(GroovySourceAST t, int visit)`
    `void` | `visitLor(GroovySourceAST t, int visit)`
    `void` | `visitLparen(GroovySourceAST t, int visit)`
    `void` | `visitLt(GroovySourceAST t, int visit)`
    `void` | `visitMapConstructor(GroovySourceAST t, int visit)`
    `void` | `visitMemberPointer(GroovySourceAST t, int visit)`
    `void` | `visitMethodCall(GroovySourceAST t, int visit)`
    `void` | `visitMethodDef(GroovySourceAST t, int visit)`
    `void` | `visitMinus(GroovySourceAST t, int visit)`
    `void` | `visitMinusAssign(GroovySourceAST t, int visit)`
    `void` | `visitMlComment(GroovySourceAST t, int visit)`
    `void` | `visitMod(GroovySourceAST t, int visit)`
    `void` | `visitModAssign(GroovySourceAST t, int visit)`
    `void` | `visitModifiers(GroovySourceAST t, int visit)`
    `void` | `visitMultiCatch(GroovySourceAST t, int visit)`
    `void` | `visitMultiCatchTypes(GroovySourceAST t, int visit)`
    `void` | `visitNls(GroovySourceAST t, int visit)`
    `void` | `visitNotEqual(GroovySourceAST t, int visit)`
    `void` | `visitNullTreeLookahead(GroovySourceAST t, int visit)`
    `void` | `visitNumBigDecimal(GroovySourceAST t, int visit)`
    `void` | `visitNumBigInt(GroovySourceAST t, int visit)`
    `void` | `visitNumDouble(GroovySourceAST t, int visit)`
    `void` | `visitNumFloat(GroovySourceAST t, int visit)`
    `void` | `visitNumInt(GroovySourceAST t, int visit)`
    `void` | `visitNumLong(GroovySourceAST t, int visit)`
    `void` | `visitObjblock(GroovySourceAST t, int visit)`
    `void` | `visitOneNl(GroovySourceAST t, int visit)`
    `void` | `visitOptionalDot(GroovySourceAST t, int visit)`
    `void` | `visitPackageDef(GroovySourceAST t, int visit)`
    `void` | `visitParameterDef(GroovySourceAST t, int visit)`
    `void` | `visitParameters(GroovySourceAST t, int visit)`
    `void` | `visitPlus(GroovySourceAST t, int visit)`
    `void` | `visitPlusAssign(GroovySourceAST t, int visit)`
    `void` | `visitPostDec(GroovySourceAST t, int visit)`
    `void` | `visitPostInc(GroovySourceAST t, int visit)`
    `void` | `visitQuestion(GroovySourceAST t, int visit)`
    `void` | `visitRangeExclusive(GroovySourceAST t, int visit)`
    `void` | `visitRangeInclusive(GroovySourceAST t, int visit)`
    `void` | `visitRbrack(GroovySourceAST t, int visit)`
    `void` | `visitRcurly(GroovySourceAST t, int visit)`
    `void` | `visitRegexFind(GroovySourceAST t, int visit)`
    `void` | `visitRegexMatch(GroovySourceAST t, int visit)`
    `void` | `visitRegexpCtorEnd(GroovySourceAST t, int visit)`
    `void` | `visitRegexpLiteral(GroovySourceAST t, int visit)`
    `void` | `visitRegexpSymbol(GroovySourceAST t, int visit)`
    `void` | `visitRparen(GroovySourceAST t, int visit)`
    `void` | `visitSelectSlot(GroovySourceAST t, int visit)`
    `void` | `visitSemi(GroovySourceAST t, int visit)`
    `void` | `visitShComment(GroovySourceAST t, int visit)`
    `void` | `visitSl(GroovySourceAST t, int visit)`
    `void` | `visitSlAssign(GroovySourceAST t, int visit)`
    `void` | `visitSlComment(GroovySourceAST t, int visit)`
    `void` | `visitSlist(GroovySourceAST t, int visit)`
    `void` | `visitSpreadArg(GroovySourceAST t, int visit)`
    `void` | `visitSpreadDot(GroovySourceAST t, int visit)`
    `void` | `visitSpreadMapArg(GroovySourceAST t, int visit)`
    `void` | `visitSr(GroovySourceAST t, int visit)`
    `void` | `visitSrAssign(GroovySourceAST t, int visit)`
    `void` | `visitStar(GroovySourceAST t, int visit)`
    `void` | `visitStarAssign(GroovySourceAST t, int visit)`
    `void` | `visitStarStar(GroovySourceAST t, int visit)`
    `void` | `visitStarStarAssign(GroovySourceAST t, int visit)`
    `void` | `visitStaticImport(GroovySourceAST t, int visit)`
    `void` | `visitStaticInit(GroovySourceAST t, int visit)`
    `void` | `visitStrictfp(GroovySourceAST t, int visit)`
    `void` | `visitStringCh(GroovySourceAST t, int visit)`
    `void` | `visitStringConstructor(GroovySourceAST t, int visit)`
    `void` | `visitStringCtorEnd(GroovySourceAST t, int visit)`
    `void` | `visitStringCtorMiddle(GroovySourceAST t, int visit)`
    `void` | `visitStringCtorStart(GroovySourceAST t, int visit)`
    `void` | `visitStringLiteral(GroovySourceAST t, int visit)`
    `void` | `visitStringNl(GroovySourceAST t, int visit)`
    `void` | `visitSuperCtorCall(GroovySourceAST t, int visit)`
    `void` | `visitTraitDef(GroovySourceAST t, int visit)`
    `void` | `visitTripleDot(GroovySourceAST t, int visit)`
    `void` | `visitType(GroovySourceAST t, int visit)`
    `void` | `visitTypeArgument(GroovySourceAST t, int visit)`
    `void` | `visitTypeArguments(GroovySourceAST t, int visit)`
    `void` | `visitTypeLowerBounds(GroovySourceAST t, int visit)`
    `void` | `visitTypeParameter(GroovySourceAST t, int visit)`
    `void` | `visitTypeParameters(GroovySourceAST t, int visit)`
    `void` | `visitTypeUpperBounds(GroovySourceAST t, int visit)`
    `void` | `visitTypecast(GroovySourceAST t, int visit)`
    `void` | `visitUnaryMinus(GroovySourceAST t, int visit)`
    `void` | `visitUnaryPlus(GroovySourceAST t, int visit)`
    `void` | `visitUnusedConst(GroovySourceAST t, int visit)`
    `void` | `visitUnusedDo(GroovySourceAST t, int visit)`
    `void` | `visitUnusedGoto(GroovySourceAST t, int visit)`
    `void` | `visitVariableDef(GroovySourceAST t, int visit)`
    `void` | `visitVariableParameterDef(GroovySourceAST t, int visit)`
    `void` | `visitVocab(GroovySourceAST t, int visit)`
    `void` | `visitWildcardType(GroovySourceAST t, int visit)`
    `void` | `visitWs(GroovySourceAST t, int visit)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### public GroovySourceAST pop()

    - #### public void push(GroovySourceAST t)

    - #### public void setUp()

    - #### public void tearDown()

    - #### public void visitAbstract(GroovySourceAST t, int visit)

    - #### public void visitAnnotation(GroovySourceAST t, int visit)

    - #### public void visitAnnotationArrayInit(GroovySourceAST t, int visit)

    - #### public void visitAnnotationDef(GroovySourceAST t, int visit)

    - #### public void visitAnnotationFieldDef(GroovySourceAST t, int visit)

    - #### public void visitAnnotationMemberValuePair(GroovySourceAST t, int visit)

    - #### public void visitAnnotations(GroovySourceAST t, int visit)

    - #### public void visitArrayDeclarator(GroovySourceAST t, int visit)

    - #### public void visitAssign(GroovySourceAST t, int visit)

    - #### public void visitAt(GroovySourceAST t, int visit)

    - #### public void visitBand(GroovySourceAST t, int visit)

    - #### public void visitBandAssign(GroovySourceAST t, int visit)

    - #### public void visitBigSuffix(GroovySourceAST t, int visit)

    - #### public void visitBlock(GroovySourceAST t, int visit)

    - #### public void visitBnot(GroovySourceAST t, int visit)

    - #### public void visitBor(GroovySourceAST t, int visit)

    - #### public void visitBorAssign(GroovySourceAST t, int visit)

    - #### public void visitBsr(GroovySourceAST t, int visit)

    - #### public void visitBsrAssign(GroovySourceAST t, int visit)

    - #### public void visitBxor(GroovySourceAST t, int visit)

    - #### public void visitBxorAssign(GroovySourceAST t, int visit)

    - #### public void visitCaseGroup(GroovySourceAST t, int visit)

    - #### public void visitClassDef(GroovySourceAST t, int visit)

    - #### public void visitClosedBlock(GroovySourceAST t, int visit)

    - #### public void visitClosureList(GroovySourceAST t, int visit)

    - #### public void visitClosureOp(GroovySourceAST t, int visit)

    - #### public void visitColon(GroovySourceAST t, int visit)

    - #### public void visitComma(GroovySourceAST t, int visit)

    - #### public void visitCompareTo(GroovySourceAST t, int visit)

    - #### public void visitCtorCall(GroovySourceAST t, int visit)

    - #### public void visitCtorIdent(GroovySourceAST t, int visit)

    - #### public void visitDec(GroovySourceAST t, int visit)

    - #### public void visitDefault(GroovySourceAST t, int visit)

    - #### public void visitDigit(GroovySourceAST t, int visit)

    - #### public void visitDiv(GroovySourceAST t, int visit)

    - #### public void visitDivAssign(GroovySourceAST t, int visit)

    - #### public void visitDollar(GroovySourceAST t, int visit)

    - #### public void visitDot(GroovySourceAST t, int visit)

    - #### public void visitDynamicMember(GroovySourceAST t, int visit)

    - #### public void visitElist(GroovySourceAST t, int visit)

    - #### public void visitEmptyStat(GroovySourceAST t, int visit)

    - #### public void visitEnumConstantDef(GroovySourceAST t, int visit)

    - #### public void visitEnumDef(GroovySourceAST t, int visit)

    - #### public void visitEof(GroovySourceAST t, int visit)

    - #### public void visitEqual(GroovySourceAST t, int visit)

    - #### public void visitEsc(GroovySourceAST t, int visit)

    - #### public void visitExponent(GroovySourceAST t, int visit)

    - #### public void visitExpr(GroovySourceAST t, int visit)

    - #### public void visitExtendsClause(GroovySourceAST t, int visit)

    - #### public void visitFinal(GroovySourceAST t, int visit)

    - #### public void visitFloatSuffix(GroovySourceAST t, int visit)

    - #### public void visitForCondition(GroovySourceAST t, int visit)

    - #### public void visitForEachClause(GroovySourceAST t, int visit)

    - #### public void visitForInIterable(GroovySourceAST t, int visit)

    - #### public void visitForInit(GroovySourceAST t, int visit)

    - #### public void visitForIterator(GroovySourceAST t, int visit)

    - #### public void visitGe(GroovySourceAST t, int visit)

    - #### public void visitGt(GroovySourceAST t, int visit)

    - #### public void visitHexDigit(GroovySourceAST t, int visit)

    - #### public void visitIdent(GroovySourceAST t, int visit)

    - #### public void visitImplementsClause(GroovySourceAST t, int visit)

    - #### public void visitImplicitParameters(GroovySourceAST t, int visit)

    - #### public void visitImport(GroovySourceAST t, int visit)

    - #### public void visitInc(GroovySourceAST t, int visit)

    - #### public void visitIndexOp(GroovySourceAST t, int visit)

    - #### public void visitInstanceInit(GroovySourceAST t, int visit)

    - #### public void visitInterfaceDef(GroovySourceAST t, int visit)

    - #### public void visitLabeledArg(GroovySourceAST t, int visit)

    - #### public void visitLabeledStat(GroovySourceAST t, int visit)

    - #### public void visitLand(GroovySourceAST t, int visit)

    - #### public void visitLbrack(GroovySourceAST t, int visit)

    - #### public void visitLcurly(GroovySourceAST t, int visit)

    - #### public void visitLe(GroovySourceAST t, int visit)

    - #### public void visitLetter(GroovySourceAST t, int visit)

    - #### public void visitListConstructor(GroovySourceAST t, int visit)

    - #### public void visitLiteralAs(GroovySourceAST t, int visit)

    - #### public void visitLiteralAssert(GroovySourceAST t, int visit)

    - #### public void visitLiteralBoolean(GroovySourceAST t, int visit)

    - #### public void visitLiteralBreak(GroovySourceAST t, int visit)

    - #### public void visitLiteralByte(GroovySourceAST t, int visit)

    - #### public void visitLiteralCase(GroovySourceAST t, int visit)

    - #### public void visitLiteralCatch(GroovySourceAST t, int visit)

    - #### public void visitLiteralChar(GroovySourceAST t, int visit)

    - #### public void visitLiteralClass(GroovySourceAST t, int visit)

    - #### public void visitLiteralContinue(GroovySourceAST t, int visit)

    - #### public void visitLiteralDef(GroovySourceAST t, int visit)

    - #### public void visitLiteralDefault(GroovySourceAST t, int visit)

    - #### public void visitLiteralDouble(GroovySourceAST t, int visit)

    - #### public void visitLiteralElse(GroovySourceAST t, int visit)

    - #### public void visitLiteralEnum(GroovySourceAST t, int visit)

    - #### public void visitLiteralExtends(GroovySourceAST t, int visit)

    - #### public void visitLiteralFalse(GroovySourceAST t, int visit)

    - #### public void visitLiteralFinally(GroovySourceAST t, int visit)

    - #### public void visitLiteralFloat(GroovySourceAST t, int visit)

    - #### public void visitLiteralFor(GroovySourceAST t, int visit)

    - #### public void visitLiteralIf(GroovySourceAST t, int visit)

    - #### public void visitLiteralImplements(GroovySourceAST t, int visit)

    - #### public void visitLiteralImport(GroovySourceAST t, int visit)

    - #### public void visitLiteralIn(GroovySourceAST t, int visit)

    - #### public void visitLiteralInstanceof(GroovySourceAST t, int visit)

    - #### public void visitLiteralInt(GroovySourceAST t, int visit)

    - #### public void visitLiteralInterface(GroovySourceAST t, int visit)

    - #### public void visitLiteralLong(GroovySourceAST t, int visit)

    - #### public void visitLiteralNative(GroovySourceAST t, int visit)

    - #### public void visitLiteralNew(GroovySourceAST t, int visit)

    - #### public void visitLiteralNull(GroovySourceAST t, int visit)

    - #### public void visitLiteralPackage(GroovySourceAST t, int visit)

    - #### public void visitLiteralPrivate(GroovySourceAST t, int visit)

    - #### public void visitLiteralProtected(GroovySourceAST t, int visit)

    - #### public void visitLiteralPublic(GroovySourceAST t, int visit)

    - #### public void visitLiteralReturn(GroovySourceAST t, int visit)

    - #### public void visitLiteralShort(GroovySourceAST t, int visit)

    - #### public void visitLiteralStatic(GroovySourceAST t, int visit)

    - #### public void visitLiteralSuper(GroovySourceAST t, int visit)

    - #### public void visitLiteralSwitch(GroovySourceAST t, int visit)

    - #### public void visitLiteralSynchronized(GroovySourceAST t, int visit)

    - #### public void visitLiteralThis(GroovySourceAST t, int visit)

    - #### public void visitLiteralThreadsafe(GroovySourceAST t, int visit)

    - #### public void visitLiteralThrow(GroovySourceAST t, int visit)

    - #### public void visitLiteralThrows(GroovySourceAST t, int visit)

    - #### public void visitLiteralTransient(GroovySourceAST t, int visit)

    - #### public void visitLiteralTrue(GroovySourceAST t, int visit)

    - #### public void visitLiteralTry(GroovySourceAST t, int visit)

    - #### public void visitLiteralVoid(GroovySourceAST t, int visit)

    - #### public void visitLiteralVolatile(GroovySourceAST t, int visit)

    - #### public void visitLiteralWhile(GroovySourceAST t, int visit)

    - #### public void visitLnot(GroovySourceAST t, int visit)

    - #### public void visitLor(GroovySourceAST t, int visit)

    - #### public void visitLparen(GroovySourceAST t, int visit)

    - #### public void visitLt(GroovySourceAST t, int visit)

    - #### public void visitMapConstructor(GroovySourceAST t, int visit)

    - #### public void visitMemberPointer(GroovySourceAST t, int visit)

    - #### public void visitMethodCall(GroovySourceAST t, int visit)

    - #### public void visitMethodDef(GroovySourceAST t, int visit)

    - #### public void visitMinus(GroovySourceAST t, int visit)

    - #### public void visitMinusAssign(GroovySourceAST t, int visit)

    - #### public void visitMlComment(GroovySourceAST t, int visit)

    - #### public void visitMod(GroovySourceAST t, int visit)

    - #### public void visitModAssign(GroovySourceAST t, int visit)

    - #### public void visitModifiers(GroovySourceAST t, int visit)

    - #### public void visitMultiCatch(GroovySourceAST t, int visit)

    - #### public void visitMultiCatchTypes(GroovySourceAST t, int visit)

    - #### public void visitNls(GroovySourceAST t, int visit)

    - #### public void visitNotEqual(GroovySourceAST t, int visit)

    - #### public void visitNullTreeLookahead(GroovySourceAST t, int visit)

    - #### public void visitNumBigDecimal(GroovySourceAST t, int visit)

    - #### public void visitNumBigInt(GroovySourceAST t, int visit)

    - #### public void visitNumDouble(GroovySourceAST t, int visit)

    - #### public void visitNumFloat(GroovySourceAST t, int visit)

    - #### public void visitNumInt(GroovySourceAST t, int visit)

    - #### public void visitNumLong(GroovySourceAST t, int visit)

    - #### public void visitObjblock(GroovySourceAST t, int visit)

    - #### public void visitOneNl(GroovySourceAST t, int visit)

    - #### public void visitOptionalDot(GroovySourceAST t, int visit)

    - #### public void visitPackageDef(GroovySourceAST t, int visit)

    - #### public void visitParameterDef(GroovySourceAST t, int visit)

    - #### public void visitParameters(GroovySourceAST t, int visit)

    - #### public void visitPlus(GroovySourceAST t, int visit)

    - #### public void visitPlusAssign(GroovySourceAST t, int visit)

    - #### public void visitPostDec(GroovySourceAST t, int visit)

    - #### public void visitPostInc(GroovySourceAST t, int visit)

    - #### public void visitQuestion(GroovySourceAST t, int visit)

    - #### public void visitRangeExclusive(GroovySourceAST t, int visit)

    - #### public void visitRangeInclusive(GroovySourceAST t, int visit)

    - #### public void visitRbrack(GroovySourceAST t, int visit)

    - #### public void visitRcurly(GroovySourceAST t, int visit)

    - #### public void visitRegexFind(GroovySourceAST t, int visit)

    - #### public void visitRegexMatch(GroovySourceAST t, int visit)

    - #### public void visitRegexpCtorEnd(GroovySourceAST t, int visit)

    - #### public void visitRegexpLiteral(GroovySourceAST t, int visit)

    - #### public void visitRegexpSymbol(GroovySourceAST t, int visit)

    - #### public void visitRparen(GroovySourceAST t, int visit)

    - #### public void visitSelectSlot(GroovySourceAST t, int visit)

    - #### public void visitSemi(GroovySourceAST t, int visit)

    - #### public void visitShComment(GroovySourceAST t, int visit)

    - #### public void visitSl(GroovySourceAST t, int visit)

    - #### public void visitSlAssign(GroovySourceAST t, int visit)

    - #### public void visitSlComment(GroovySourceAST t, int visit)

    - #### public void visitSlist(GroovySourceAST t, int visit)

    - #### public void visitSpreadArg(GroovySourceAST t, int visit)

    - #### public void visitSpreadDot(GroovySourceAST t, int visit)

    - #### public void visitSpreadMapArg(GroovySourceAST t, int visit)

    - #### public void visitSr(GroovySourceAST t, int visit)

    - #### public void visitSrAssign(GroovySourceAST t, int visit)

    - #### public void visitStar(GroovySourceAST t, int visit)

    - #### public void visitStarAssign(GroovySourceAST t, int visit)

    - #### public void visitStarStar(GroovySourceAST t, int visit)

    - #### public void visitStarStarAssign(GroovySourceAST t, int visit)

    - #### public void visitStaticImport(GroovySourceAST t, int visit)

    - #### public void visitStaticInit(GroovySourceAST t, int visit)

    - #### public void visitStrictfp(GroovySourceAST t, int visit)

    - #### public void visitStringCh(GroovySourceAST t, int visit)

    - #### public void visitStringConstructor(GroovySourceAST t, int visit)

    - #### public void visitStringCtorEnd(GroovySourceAST t, int visit)

    - #### public void visitStringCtorMiddle(GroovySourceAST t, int visit)

    - #### public void visitStringCtorStart(GroovySourceAST t, int visit)

    - #### public void visitStringLiteral(GroovySourceAST t, int visit)

    - #### public void visitStringNl(GroovySourceAST t, int visit)

    - #### public void visitSuperCtorCall(GroovySourceAST t, int visit)

    - #### public void visitTraitDef(GroovySourceAST t, int visit)

    - #### public void visitTripleDot(GroovySourceAST t, int visit)

    - #### public void visitType(GroovySourceAST t, int visit)

    - #### public void visitTypeArgument(GroovySourceAST t, int visit)

    - #### public void visitTypeArguments(GroovySourceAST t, int visit)

    - #### public void visitTypeLowerBounds(GroovySourceAST t, int visit)

    - #### public void visitTypeParameter(GroovySourceAST t, int visit)

    - #### public void visitTypeParameters(GroovySourceAST t, int visit)

    - #### public void visitTypeUpperBounds(GroovySourceAST t, int visit)

    - #### public void visitTypecast(GroovySourceAST t, int visit)

    - #### public void visitUnaryMinus(GroovySourceAST t, int visit)

    - #### public void visitUnaryPlus(GroovySourceAST t, int visit)

    - #### public void visitUnusedConst(GroovySourceAST t, int visit)

    - #### public void visitUnusedDo(GroovySourceAST t, int visit)

    - #### public void visitUnusedGoto(GroovySourceAST t, int visit)

    - #### public void visitVariableDef(GroovySourceAST t, int visit)

    - #### public void visitVariableParameterDef(GroovySourceAST t, int visit)

    - #### public void visitVocab(GroovySourceAST t, int visit)

    - #### public void visitWildcardType(GroovySourceAST t, int visit)

    - #### public void visitWs(GroovySourceAST t, int visit)